Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 2876273004: Convert Provider tests to JUnit4 (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 week, 4 days ago by the real yoland
Modified:
1 day, 17 hours ago
CC:
chromium-reviews
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Convert Provider tests to JUnit4 For more on JUnit4 migration, please check src/testing/android/docs/junit4.md BUG=640116 Review-Url: https://codereview.chromium.org/2876273004 Cr-Commit-Position: refs/heads/master@{#473762} Committed: https://chromium.googlesource.com/chromium/src/+/b704484bdb428e00336917fda4f6b1953b93d523

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+284 lines, -292 lines) Patch
M chrome/android/java_sources.gni View 1 chunk +1 line, -1 line 0 comments Download
M chrome/android/javatests/src/org/chromium/chrome/browser/provider/ProviderBookmarkNodeUnitTest.java View 4 chunks +19 lines, -11 lines 0 comments Download
M chrome/android/javatests/src/org/chromium/chrome/browser/provider/ProviderBookmarksUriTest.java View 10 chunks +149 lines, -133 lines 0 comments Download
M chrome/android/javatests/src/org/chromium/chrome/browser/provider/ProviderSearchesUriTest.java View 6 chunks +96 lines, -75 lines 0 comments Download
D chrome/android/javatests/src/org/chromium/chrome/browser/provider/ProviderTestBase.java View 1 chunk +0 lines, -61 lines 0 comments Download
A + chrome/android/javatests/src/org/chromium/chrome/browser/provider/ProviderTestRule.java View 2 chunks +19 lines, -11 lines 0 comments Download
Trybot results:  win_chromium_x64_rel_ng   win_clang   win_chromium_rel_ng   win_chromium_x64_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator   ios-simulator-xcode-clang   ios-device   linux_chromium_tsan_rel_ng   ios-device-xcode-clang   linux_chromium_compile_dbg_ng   linux_chromium_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_asan_rel_ng   linux_chromium_chromeos_ozone_rel_ng   chromeos_daisy_chromium_compile_only_ng   chromium_presubmit   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   cast_shell_android   linux_android_rel_ng   android_n5x_swarming_rel   android_cronet   android_clang_dbg_recipe   android_compile_dbg   android_arm64_dbg_recipe   win_chromium_x64_rel_ng   win_chromium_rel_ng   win_chromium_x64_rel_ng   win_chromium_rel_ng   win_chromium_x64_rel_ng   android_clang_dbg_recipe   win_clang   win_chromium_rel_ng   win_clang   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-device-xcode-clang   ios-simulator   linux_chromium_tsan_rel_ng   ios-device   linux_chromium_compile_dbg_ng   linux_chromium_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_asan_rel_ng   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   cast_shell_android   linux_android_rel_ng   android_n5x_swarming_rel   android_cronet   android_compile_dbg   android_arm64_dbg_recipe   win_chromium_rel_ng   chromium_presubmit   win_chromium_rel_ng   win_chromium_x64_rel_ng   android_clang_dbg_recipe   win_chromium_x64_rel_ng   win_clang   win_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator   ios-simulator-xcode-clang   ios-device-xcode-clang   ios-device   linux_chromium_tsan_rel_ng   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_amd64-generic_chromium_compile_only_ng   chromeos_daisy_chromium_compile_only_ng   cast_shell_linux   linux_android_rel_ng   android_n5x_swarming_rel   cast_shell_android   android_cronet   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe   mac_chromium_rel_ng   win_clang   win_chromium_x64_rel_ng   win_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_rel_ng 
Commit queue not available (can’t edit this change).

Messages

Total messages: 22 (12 generated)
the real yoland
1 week, 4 days ago (2017-05-12 23:55:57 UTC) #2
the real yoland
friendly ping
1 week, 1 day ago (2017-05-16 17:27:44 UTC) #7
jbudorick
lgtm
1 week, 1 day ago (2017-05-16 17:47:26 UTC) #8
David Trainor-ping if over 24h
lgtm
1 week ago (2017-05-17 17:11:52 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2876273004/1
6 days, 18 hours ago (2017-05-17 23:17:01 UTC) #11
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/447917)
6 days, 15 hours ago (2017-05-18 02:46:23 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2876273004/1
5 days, 23 hours ago (2017-05-18 17:57:45 UTC) #15
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/449256)
5 days, 15 hours ago (2017-05-19 02:13:03 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2876273004/1
1 day, 19 hours ago (2017-05-22 22:17:23 UTC) #19
commit-bot: I haz the power
1 day, 17 hours ago (2017-05-23 00:33:00 UTC) #22
Message was sent while issue was closed.
Committed patchset #1 (id:1) as
https://chromium.googlesource.com/chromium/src/+/b704484bdb428e00336917fda4f6...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 650457f06